OT: Compiling Nagios nrpe and plug-ins on 10.7

Kedgar
Contributor

Sorry for the Off Topic thread

Does anyone currently use nrpe to monitor your servers? I'm running into an issue while compiling nrpe and the nagios plug-ins on Lion and was wondering if anyone has successfully accomplished the same task. It appears to be an issue with the bundled perl.

More info on the actual error is found here: http://opsview.com/forum/opsview-community-edition/how-do-i/anyone-compiling-agent-os-x-lion-server

We use opsview... but I have also tried compiling nrpe from nagios and have had the same exact error.

Thanks,
Ken

1 ACCEPTED SOLUTION

Kedgar
Contributor

I was able to finally get this to compile... there were a few things I had to do.

#1. The version of Params Validate would not work on Lion, and I had to re-package the nagios plugins with Params-Validate-0.91. The repackage included:

*untar of the package
*removal of the wrong params validate
*copy the new params validate tarball in
*remove old nagios plugins tar
*create new nagios plugins tar
*remove nagios plug-ins folder we untared at the beginning

#2. Compilation requires autoconf which was missing from OS X 10.7.x. I downloaded, compiled, and installed the latest version.

These steps allowed me to compile, however I also had to modify some of the plug-ins after compilation as they had the wrong path for utils.sh in them.

Hope this helps someone out there,

Ken

View solution in original post

3 REPLIES 3

Kedgar
Contributor

I was able to finally get this to compile... there were a few things I had to do.

#1. The version of Params Validate would not work on Lion, and I had to re-package the nagios plugins with Params-Validate-0.91. The repackage included:

*untar of the package
*removal of the wrong params validate
*copy the new params validate tarball in
*remove old nagios plugins tar
*create new nagios plugins tar
*remove nagios plug-ins folder we untared at the beginning

#2. Compilation requires autoconf which was missing from OS X 10.7.x. I downloaded, compiled, and installed the latest version.

These steps allowed me to compile, however I also had to modify some of the plug-ins after compilation as they had the wrong path for utils.sh in them.

Hope this helps someone out there,

Ken

View solution in original post

McAdams
New Contributor III

Happy to see this thread. I used the instructions at https://wwwx.cs.unc.edu/~hays/archives/2010/11/entry_31.php for the compile. There's one change to the nrpe configure file which is to change libssl.so to libssl.dylib. After that it compiled fine in 10.7 & 10.8.

I still have a lot of questions on configuring Nagios. I can add a system using NRPE configuration wizard but that's about as far as I've got. I'd like to get alerts going for unplanned reboots, Java using too much cpu, etc.

corbinmharris
Contributor

Anyone have luck with installing on an OS X 10.8 server? My boss wants the NPRE installed yesterday on our Casper server. Thanks!

Corbin